
include(Tools)

find_library(DIP_LIBRARIES dip PATHS "${CMAKE_SOURCE_DIR}/deps/dip/lib64")
find_library(LOG4CPLUS_LIBRARIES log4cplus PATHS "${CMAKE_SOURCE_DIR}/deps/dip/lib64")
find_path(DIP_INCLUDE_DIRS Dip.h PATHS "${CMAKE_SOURCE_DIR}/deps/dip/include")

assert(DIP_LIBRARIES AND DIP_INCLUDE_DIRS AND LOG4CPLUS_LIBRARIES)

install(PROGRAMS "${DIP_LIBRARIES}" "${LOG4CPLUS_LIBRARIES}"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/dim-proxy-dip" COMPONENT runtime)
